#ifndef _P15_MEM_H_INCLUDED_
#define _P15_MEM_H_INCLUDED_

#include <stdlib.h>
#include "gostc_mem.h"

/* Alloc functions with safe cleaning */

/* - Now in gostc library. Making macro wrappers.

extern void *p15_calloc(size_t nmemb, size_t size);
extern void *p15_malloc(size_t size);
extern void p15_free(void *ptr);
extern void *p15_realloc(void *ptr, size_t size);
*/

#define p15_calloc  gostc_calloc
#define p15_malloc  gostc_malloc
#define p15_free    gostc_free
#define p15_realloc gostc_realloc


#endif

