#ifndef _GOSTC_ASYM_MASK_H_
#define _GOSTC_ASYM_MASK_H_

#include "gostc_common.h"
#include "gostc_asym_opers.h"


#ifdef __cplusplus
extern "C" {
#endif

extern int gostc_asym_mask_key(void *key, void* mask,uint32_t n);
/* ret: 0-err, 1-ok
 * key - in/out, mask - in (random number, should not be 0), 
 * n - 0-3:Test,CproA-CproC, 
 *     4-512bit-TestParamSet, 5-512bit-ParamSetA, 6-512bit-ParamSetB
 */

extern int gostc_asym_unmask_key(void *key, void* mask,uint32_t n);

#ifdef __cplusplus
}
#endif


#endif
